com.sun.java.xml.ns.persistence

## Class ObjectFactory

- java.lang.Object
- - com.sun.java.xml.ns.persistence.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the com.sun.java.xml.ns.persistence package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Property Summary

    All Methods Instance Methods Concrete Methods
    Type | Property and Description
    --- | ---
    `Persistence.PersistenceUnit.Properties.Property` | `createPersistencePersistenceUnitProperties` Create an instance of `Persistence.PersistenceUnit.Properties.Property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun.java.xml.ns.persistence

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Persistence` | `createPersistence()` Create an instance of `Persistence`
    `Persistence.PersistenceUnit` | `createPersistencePersistenceUnit()` Create an instance of `Persistence.PersistenceUnit`
    `Persistence.PersistenceUnit.Properties` | `createPersistencePersistenceUnitProperties()` Create an instance of `Persistence.PersistenceUnit.Properties`
    `Persistence.PersistenceUnit.Properties.Property` | `createPersistencePersistenceUnitPropertiesProperty()` Create an instance of `Persistence.PersistenceUnit.Properties.Property`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### createPersistencePersistenceUnitProperties

          public Persistence.PersistenceUnit.Properties.Property createPersistencePersistenceUnitPropertiesProperty

      Create an instance of `Persistence.PersistenceUnit.Properties.Property`

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.sun.java.xml.ns.persistence

  - ### Method Detail

    - #### createPersistence

          public Persistence createPersistence()

      Create an instance of `Persistence`

    - #### createPersistencePersistenceUnit

          public Persistence.PersistenceUnit createPersistencePersistenceUnit()

      Create an instance of `Persistence.PersistenceUnit`

    - #### createPersistencePersistenceUnitProperties

          public Persistence.PersistenceUnit.Properties createPersistencePersistenceUnitProperties()

      Create an instance of `Persistence.PersistenceUnit.Properties`

    - #### createPersistencePersistenceUnitPropertiesProperty

          public Persistence.PersistenceUnit.Properties.Property createPersistencePersistenceUnitPropertiesProperty()

      Create an instance of `Persistence.PersistenceUnit.Properties.Property`

Copyright © 2015 buschmais GbR. All rights reserved.